Subject: bug#66673: [PATCH] Fix treesit-install-language-grammar recipe addition

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Oct 2023 08:15:02 +0300

> Resent-To: [email-masked]
> Cc: [email-masked]
> From: Yuan Fu <[email-masked]>
> Date: Sat, 21 Oct 2023 20:40:52 -0700
> 
> 
> 
> > On Oct 21, 2023, at 8:09 PM, nvp <[email-masked]> wrote:
> > 
> > 
> > 
> > * lisp/treesit.el (treesit-install-language-grammar): fix recipe
> > addition to `treesit-language-source-alist`
> > 
> > Bug: `treesit-install-language-grammar` adds repeated language
> > entry to `treesit-language-source-alist` causing circular list.
> 
> Thank you! I applied the path on emacs-29.

Thanks.

Yuan, if we are fixing treesit-install-language-grammar, I think it
lacks the "-ltree-sitter" command-line option for the link command.
At least on MS-Windows, this is required, as the link command will
fail if we don't supply that option: the linker _must_ scan the
tree-sitter library when generating the shared library for the
grammar.